# Edited by rpmlb
%{?scl:          %scl_package        python-markdown}
%{!?scl:         %global pkg_name    %{name}}

%{?scl:
%filter_from_provides s|/opt/rh/.*/root/usr/bin/python.*||g;s|python.*abi.*$||g
%filter_from_requires s|/opt/rh/.*/root/usr/bin/python.*||g;s|python.*abi.*$||g
%filter_setup
}

%global srcname Markdown
%global pkgname markdown

Name:           %{?scl_prefix}python-%{pkgname}
Version:        2.6.9
Release:        2%{?dist}
Summary:        Markdown implementation in Python
License:        BSD
URL:            https://pythonhosted.org/%{srcname}/
Source0:        https://files.pythonhosted.org/packages/source/M/%{srcname}/%{srcname}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  %{?pythonscl:%{pythonscl}-}python-devel
BuildRequires:  %{?pythonscl:%{pythonscl}-}python-nose
BuildRequires:  %{?pythonscl:%{pythonscl}-}python-yaml

%{?scl:Requires:%scl_runtime}

%description
This is a Python implementation of John Gruber's Markdown. It is
almost completely compliant with the reference implementation, though
there are a few known issues.


%prep
%setup -q -n %{srcname}-%{version}

# remove shebangs
find markdown -type f -name '*.py' \
  -exec sed -i -e '/^#!/{1D}' {} \;

# fix line-ending
find bin docs -type f \
  -exec sed -i 's/\r//' {} \;


%build
%{?scl:scl enable %{scl} %{?pythonscl} - << \EOF}
python setup.py build
%{?scl:EOF}


%install
rm -rf %{buildroot}
%{?scl:scl enable %{scl} %{?pythonscl} - << \EOF}
python setup.py install -O1 --skip-build --root %{buildroot} --install-purelib %{python_sitelib} --install-scripts=%{_bindir}

# process license file
PYTHONPATH=%{buildroot}%{python_sitelib} \
  %{buildroot}%{_bindir}/markdown_py \
  LICENSE.md > LICENSE.html
%{?scl:EOF}


%check
%{?scl:scl enable %{scl} %{?pythonscl} - << \EOF}
python ./run-tests.py
%{?scl:EOF}

%clean
rm -rf %{buildroot}


%files
%doc build/docs/*
%license LICENSE.*
%{python_sitelib}/*
%{_bindir}/markdown_py


%changelog
* Fri Feb 23 2018 Marek Skalický <mskalick@redhat.com> - 2.6.9-2
- Add -runtime requirement

* Thu Feb 08 2018 Marek Skalický <mskalick@redhat.com> - 2.6.9-1
- Rebase to version from Fedora 28
- Build with python3

* Thu Feb 08 2018 Marek Skalický <mskalick@redhat.com> - 2.1.1-4
- Convert to python3

* Wed Jan 03 2018 Marek Skalický <mskalick@redhat.com> - 2.1.1-3
- Release bump

* Wed Feb  8 2012 Thomas Moschny <thomas.moschny@gmx.de> - 2.1.1-1
- Update to 2.1.1.

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Sat Dec 17 2011 Thomas Moschny <thomas.moschny@gmx.de> - 2.1.0-1
- Update to 2.1.0.
- Fix rhel conditional.
- Binary has been renamed.
- Build python3 subpackage.
- Include documentation in HTML instead of Markdown format.
- Run tests.

* Wed Sep 07 2011 Jesse Keating <jkeating@redhat.com> - 2.0.3-4
- Set a version in the rhel macro

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Jul 22 2010 David Malcolm <dmalcolm@redhat.com> - 2.0.3-2
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Thu Oct  8 2009 Thomas Moschny <thomas.moschny@gmx.de> - 2.0.3-1
- Update to 2.0.3.

* Thu Aug 27 2009 Thomas Moschny <thomas.moschny@gmx.de> - 2.0.1-3
- Add requirement on python-elementtree, which was a separate package
  before Python 2.5.
- Re-add changelog entries accidentally removed earlier.

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sat Jul 11 2009 Thomas Moschny <thomas.moschny@gmx.de> - 2.0.1-1
- Update to 2.0.1.
- Upstream stripped .py of the cmdline script.

* Sat Apr 25 2009 Thomas Moschny <thomas.moschny@gmx.de> - 2.0-1
- Update to 2.0.
- Adjusted source URL.
- License changed to BSD only.
- Upstream now provides a script to run markdown from the cmdline.

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.7-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 1.7-2
- Rebuild for Python 2.6

* Mon Aug  4 2008 Thomas Moschny <thomas.moschny@gmx.de> - 1.7-1
- New package.
